Class: Aws::RDS::Types::UpgradeTarget

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb

Overview

The version of the database engine that a DB instance can be upgraded to.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#auto_upgradeBoolean

A value that indicates whether the target version is applied to any source DB instances that have AutoMinorVersionUpgrade set to true.

Returns:

  • (Boolean)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#descriptionString

The version of the database engine that a DB instance can be upgraded to.

Returns:

  • (String)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#engineString

The name of the upgrade target database engine.

Returns:

  • (String)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#engine_versionString

The version number of the upgrade target database engine.

Returns:

  • (String)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#is_major_version_upgradeBoolean

A value that indicates whether upgrading to the target version requires upgrading the major version of the database engine.

Returns:

  • (Boolean)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#supported_engine_modesArray<String>

A list of the supported DB engine modes for the target engine version.

Returns:

  • (Array<String>)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#supports_babelfishBoolean

A value that indicates whether you can use Babelfish for Aurora PostgreSQL with the target engine version.

Returns:

  • (Boolean)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#supports_global_databasesBoolean

A value that indicates whether you can use Aurora global databases with the target engine version.

Returns:

  • (Boolean)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end

#supports_parallel_queryBoolean

A value that indicates whether you can use Aurora parallel query with the target engine version.

Returns:

  • (Boolean)


24146
24147
24148
24149
24150
24151
24152
24153
24154
24155
24156
24157
24158
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 24146

class UpgradeTarget < Struct.new(
  :engine,
  :engine_version,
  :description,
  :auto_upgrade,
  :is_major_version_upgrade,
  :supported_engine_modes,
  :supports_parallel_query,
  :supports_global_databases,
  :supports_babelfish)
  SENSITIVE = []
  include Aws::Structure
end